{ config, lib, pkgs, ... }:

with lib;

mkIf (elem "containers" config.machine.services) {
  containers.CDServer = {
    privateNetwork = true;
    hostAddress = "192.168.100.10";
    localAddress = "192.168.100.11";
    config =
      { config, lib, pkgs, ... }:

      {
        imports = [
          ../machines/CDServer/options.nix
          ./default.nix
          ../config/default.nix
          ../pkgs/nixpkgs.nix
          ../pkgs/pkgsets.nix
        ];
      services.nixosManual.showManual         = false;
      services.ntp.enable                     = false;
      };
  };
}
